<%=
def getcrl(host)
  crl = nil
  begin
    fn = "/var/lib/puppetserver/server_data/facts/#{host}.json"
    facts = IO.read(fn)

    require 'json'
    parsed = {}
    facts.each_line do |l|
      p = JSON.parse(l)
      parsed.update(p) if p
    end
    return parsed['values']['debsso_skac_crl']
  rescue Exception => e
  end
  return crl
end

crl = []

['diabelli.debian.org'].each do |node|
  c = getcrl(node)
  next if c.nil?
  crl << c
end

crl.join("\n")

# vim:set et:
# vim:set sts=4 ts=4:
# vim:set shiftwidth=4:
%>
